Gtk2::ComboBoxEntry(3)

NAME
Gtk2::ComboBoxEntry - A text entry field with a dropdown list

SYNOPSIS
  # the easy way
  $combo_box_entry = Gtk2::ComboBoxEntry->new_text;
  foreach (qw(one two three four five)) {
      $combo_box_entry->append_text ($_);
  }

  # or the powerful way.  there always has to be at least
  # one text column in the model, but you can have anything
  # else in it that you want, just like Gtk2::ComboBox.
  $combo_box_entry = Gtk2::ComboBoxEntry->new ($model, $text_index);

  # to mess with with entry directly, get the child:
  $current_text = $combo_box_entry->child->get_text;

DESCRIPTION
A ComboBoxEntry is a widget that allows the user to choose from a list of valid choices or enter a different value. It is very similar to a ComboBox, but displays the selected value in an entry to allow modifying it.

The ComboBoxEntry has a Gtk2::Entry as its child. To get or set the currently-displayed text, just manipulate the entry normally.

HIERARCHY
  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::ComboBox
                                +----Gtk2::ComboBoxEntry

INTERFACES
  Gtk2::CellLayout
  Gtk2::CellEditable
  Glib::Object::_Unregistered::AtkImplementorIface

METHODS

  $entry = Gtk2::ComboBoxEntry->new

  $entry = Gtk2::ComboBoxEntry->new ($model, $text_column)

    * $text_column (integer)
    * $model (Gtk2::TreeModel)

  widget = Gtk2::ComboBoxEntry->new_text

  $entry = Gtk2::ComboBoxEntry->new_with_model ($model, $text_column)

    * $text_column (integer)
    * $model (Gtk2::TreeModel)

    Alias for new, with two arguments.

  integer = $entry_box->get_text_column

  $entry_box->set_text_column ($text_column)

    * $text_column (integer)

PROPERTIES
'text-column' (integer : readable / writable / private)
    A column in the data source model to get the strings from

SEE ALSO
Gtk2, Glib::Object, Glib::Object::_Unregistered::GInitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::ComboBox

COPYRIGHT
Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.